"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ZodiosProvider = exports.ZodiosContext = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
exports.ZodiosContext = (0, react_1.createContext)({});
/**
 * A react provider for zodios api client
 * @example
 * ```typescript
 *   <QueryClientProvider client={queryClient}>
 *     <ZodiosProvider apis={{ myApiName: apiClient }}>
 *       <Users />
 *     </ZodiosProvider>
 *   </QueryClientProvider>
 * ```
 */
function ZodiosProvider({ apis, children }) {
    return ((0, jsx_runtime_1.jsx)(exports.ZodiosContext.Provider, { value: apis, children: children }));
}
exports.ZodiosProvider = ZodiosProvider;
